#!/bin/sh

. ../_blfsset.sh
. ./_lxdeset.sh

APPNAME=lxdm
VER=0.4.1
TARGET=$APPNAME-$VER
TARGETBALL=$LXDEDLD/$TARGET.tar.gz
TARGETDIR=$TARGET

echo $TARGET

. $WRK/_checkRequired.sh ""
. $WRK/_checkOptions.sh  ConsoleKit gtk+-3
. $WRK/_checkTarball.sh
. $WRK/_checkExit.sh "$1" || exit $?

if [ ${OPTION_gtk3} -eq "1" ]; then
  export ENABLEGTK3="--enable-gtk3 "
else
  export ENABLEGTK3=""
fi

cd $SRC
RemoveSrcDir
Extract

TimeStart

cd $TARGETDIR

Configuring
./configure --prefix=/usr \
	--sysconfdir=/etc \
	$ENABLEGTK3 \
	1> $LOG/$TARGET.1_conf.log 2>&1 || exit 1

Making
make \
	1> $LOG/$TARGET.2_make.log 2>&1 || exit 1

Installing
paco -p  $TARGET "make install" \
	1> $LOG/$TARGET.3_install.log 2>&1 || exit 1

TimeEnd

cd ..
RemoveSrcDir
PacoingDone

